*** applemac.c	2004/05/07 19:46:16	1.1
--- applemac.c	2005/01/16 20:25:17
***************
*** 517,522 ****
--- 520,526 ----
                SetMenuItemText(hand,6,tostr255(buffer,MsgStrs[StrMRibbons]));
                SetMenuItemText(hand,7,tostr255(buffer,MsgStrs[StrMStrands]));
                SetMenuItemText(hand,8,tostr255(buffer,MsgStrs[StrMCartoon]));
+               SetMenuItemText(hand,9,tostr255(buffer,MsgStrs[StrMMolSurf]));
                ReWriteStr255((*hand)->menuData,MsgStrs[StrMDisplay]);
                break;              
                              
*** cmndline.c	2004/05/07 19:46:16	1.1
--- cmndline.c	2005/01/16 20:25:17
***************
*** 638,655 ****
  
  
  static void PerformMouseFunc( int func, int delta, int max )
! {
      switch( func )
!     {   case(MM_ROTX):  WrapDial( DialRX, (Real)(2*delta)/max );
!                         ReDrawFlag |= RFRotateX;
                          break;
                          
          case(MM_ROTY):  if ( (RotMode == RotBond) && BondSelected) {
                            WrapDial( DialBRot, (Real)(2*delta)/max );
                          } else {
!                           WrapDial( DialRY, (Real)(2*delta)/max );
                          }
!                         ReDrawFlag |= RFRotateY;
                          break;
                          
          case(MM_ROTZ):  WrapDial( DialRZ, (Real)(2*delta)/max );
--- 638,695 ----
  
  
  static void PerformMouseFunc( int func, int delta, int max )
! {   Real xcomp, ycomp, zcomp;
!     int  dist;
!     
      switch( func )
!     {   case(MM_ROTX):  if ( (RotMode == RotBond) && BondSelected) {
!                           WrapDial( DialBRot, (Real)(2*delta)/max );
!                         } else {
!                           dist = PointX-XRange/2;
!                           if (dist < -XRange/8) {
!                             dist += XRange/8;
!                             dist *= 2;
!                             if (dist < -XRange/2) dist=-XRange/2;
!                           } else {
!                             dist -= XRange/8;
!                             if (dist < 0 ) dist = 0;
!                             dist *=2;
!                             if (dist > XRange/2) dist = XRange/2;
!                           }
!                           xcomp = (Real)(delta*(XRange/2-AbsFun(dist)))/((Real)(XRange/2));
!                           zcomp = (Real)(delta*dist)/((Real)(XRange/2));
!                           WrapDial( DialRX, 2*xcomp/(Real)max );
!                           WrapDial( DialRZ, 2*zcomp/(Real)max );
!                          /* WrapDial( DialRX, (Real)(2*delta)/max ); */
!                         }
!                         ReDrawFlag |= RFRotateX|RFRotateZ;
                          break;
  
         case(MM_ROTY):   if ( (RotMode == RotBond) && BondSelected) {
                            WrapDial( DialBRot, (Real)(2*delta)/max );
                          } else {
!                           dist = PointY-YRange/2;
!                           if (dist < -YRange/8) {
!                             dist += YRange/8;
!                             dist *= 2;
!                             if (dist < -YRange/2) dist=-YRange/2;
!                           } else {
!                             dist -= YRange/8;
!                             if (dist < 0 ) dist = 0;
!                             dist *=2;
!                             if (dist > YRange/2) dist = YRange/2;
!                           }
!                           ycomp = (Real)(delta*(YRange/2-AbsFun(dist)))/((Real)(YRange/2));
! #ifdef INVERT
!                           zcomp = (Real)(delta*dist)/((Real)(YRange/2));
! #else
!                           zcomp = (Real)(-delta*dist)/((Real)(YRange/2));
! #endif
!                           WrapDial( DialRY, 2*ycomp/(Real)max );
!                           WrapDial( DialRZ, 2*zcomp/(Real)max );
!                         /* WrapDial( DialRY, (Real)(2*delta)/max ); */
                          }
!                         ReDrawFlag |= RFRotateY|RFRotateZ;
                          break;
                          
          case(MM_ROTZ):  WrapDial( DialRZ, (Real)(2*delta)/max );
***************
*** 661,671 ****
                          break;
                          
          case(MM_TRNX):  ClampDial( DialTX, (Real)delta/max );
!                         ReDrawFlag |= RFTransX;
                          break;
  
          case(MM_TRNY):  ClampDial( DialTY, (Real)delta/max );
!                         ReDrawFlag |= RFTransY;
                          break;
  
          case(MM_CLIP):  ClampDial( DialSlab, (Real)delta/max );
--- 701,711 ----
                          break;
  
          case(MM_TRNX):  ClampDial( DialTX, (Real)delta/max );
!                         ReDrawFlag |= RFTransX|RFTransZ;
                          break;
  
          case(MM_TRNY):  ClampDial( DialTY, (Real)delta/max );
!                         ReDrawFlag |= RFTransY|RFTransZ;
                          break;
  
          case(MM_CLIP):  ClampDial( DialSlab, (Real)delta/max );
*** command.c	2004/05/07 19:46:16	1.1
--- command.c	2005/01/16 20:25:17
***************
*** 147,152 ****
--- 147,153 ----
                       for(group=chain->glist;group;group=group->gnext)    \
                       for(ptr=group->alist;ptr;ptr=ptr->anext)
  #define ForEachBond  for(bptr=Database->blist;bptr;bptr=bptr->bnext)
+ #define ForEachSurfBond  for(sbptr=Database->sblist;sbptr;sbptr=sbptr->sbnext)
  
  
  #define IsIdentChar(x)  ((isalnum(x))||((x)=='_')||((x)=='$'))
***************
*** 520,525 ****
--- 521,527 ----
              } else CreateMoleculeBonds(info,True,False);
          }
      }
+     if( CalcSurfFlag ) CreateSurfaceBonds();
  
      /* Explicit Hydrogen Bonds! */
      if( Info.hbondcount > 0 )
***************
*** 718,731 ****
  
  int DivertToData( int format, int info )
  {
-     register char *ptr;
      register int ch,len,done;
      register long pos;
      FILE *fp;
  
-     /* Avoid compiler warnings */
-     ptr = (char *)0;
- 
      fp = FileStack[FileDepth];
      pos = ftell(fp);
      do 
--- 720,729 ----
***************
*** 2178,2183 ****
--- 2176,2183 ----
                  } else ProbeRadius = (int)TokenValue;
  
              } else CommandError(MsgStrs[ErrNotNum]);
+             iProbeRad = (int)(Scale*(Real)ProbeRadius);
+             ReDrawFlag |= RFRefresh;
              break;
  
          case(SolventTok):
***************
*** 2189,2194 ****
--- 2189,2196 ----
              {   SolventDots = True;
                  ProbeRadius = 300;
              } else CommandError(MsgStrs[ErrBadOpt]);
+             iProbeRad = (int)(Scale*(Real)ProbeRadius);
+             ReDrawFlag |= RFRefresh;
              break;
  
          case(FontSizeTok):
***************
*** 2430,2435 ****
--- 2432,2439 ----
  					}
                  } else CommandError(MsgStrs[ErrBigNum]);
              } else CommandError(MsgStrs[ErrBadOpt]);
+             iProbeRad = (int)(Scale*(Real)ProbeRadius);
+             ReDrawFlag |= RFRefresh;
              break;
  
          default:
***************
*** 2970,2975 ****
--- 2974,2980 ----
  	register int neg, bloc=0;
  	register char ch;
  	register Bond __far *bptr;
+ 	register SurfBond __far *sbptr;
  	
  	if( !Database )
  		return;
***************
*** 3065,3075 ****
--- 3070,3088 ----
  				if( (bptr->srcatom->flag&bptr->dstatom->flag) & SelectFlag )
  				{   bptr->flag |= SelectFlag;
  				} else bptr->flag &= ~SelectFlag;
+ 			ForEachSurfBond
+ 				if( (sbptr->srcatom->flag&sbptr->dstatom->flag) & SelectFlag )
+ 				{   sbptr->flag |= SelectFlag;
+ 				} else sbptr->flag &= ~SelectFlag;
  		} else
  		{	ForEachBond
  		       if( (bptr->srcatom->flag|bptr->dstatom->flag) & SelectFlag )
  		       {   bptr->flag |= SelectFlag;
  		       } else bptr->flag &= ~SelectFlag;
+ 		    ForEachSurfBond
+ 		       if( (sbptr->srcatom->flag|sbptr->dstatom->flag) & SelectFlag )
+ 		       {   sbptr->flag |= SelectFlag;
+ 		       } else sbptr->flag &= ~SelectFlag;
  		}
  	}
  }
***************
*** 3510,3515 ****
--- 3523,3529 ----
                                if( TokenValue<=750 )
                                {   SetRadiusValue(MaxFun((int)TokenValue,1),
                                      SphereFlag);
+                                     DrawSurf = False;
                                    ReDrawFlag |= RFRefresh;
                                } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken=='.' )
***************
*** 3517,3532 ****
--- 3531,3634 ----
                                if( TokenValue<=750 )
                                {   SetRadiusValue(MaxFun((int)TokenValue,1),
                                      SphereFlag);
+                                     DrawSurf = False;
                                    ReDrawFlag |= RFRefresh;
                                } else CommandError(MsgStrs[ErrBigNum]);
                            } else if( CurToken==UserTok )
                            {   UserMaskAttrib(MaskRadiusFlag);
+                               DrawSurf = False;
                                ReDrawFlag |= RFRefresh;
                            } else if( CurToken==TemperatureTok )
                            {   ReDrawFlag |= RFRefresh;
+                               DrawSurf = False;
                                SetRadiusTemperature( SphereFlag );
+                           } else if( CurToken==SolventTok )
+                           {   ReDrawFlag |= RFRefresh;
+                               SetVanWaalRadius( SphereFlag | ExpandFlag );
                            } else if( (CurToken==TrueTok) || !CurToken )
                            {   ReDrawFlag |= RFRefresh;
+                               DrawSurf = False;
+                               SetVanWaalRadius( SphereFlag );
+                           } else CommandError(MsgStrs[ErrBadArg]);
+                           break;
+         case(SurfaceTok):
+                           FetchToken();
+                           if( CurToken == SolventTok) {
+                             FetchToken();
+                             if( CurToken == DotsTok ) {
+                             } else if( CurToken == SolidTok ) {
+                             } else if( CurToken == NumberTok )
+                             {   if( *TokenPtr=='.' )
+                               {   TokenPtr++;
+                                   FetchFloat(TokenValue,250);   
+                               }
+                               if( TokenValue<=750 )
+                               {   ProbeRadius = (int)TokenValue;
+                                   DrawSurf = True;
+                                   ReDrawFlag |= RFRefresh;
+                                   SetVanWaalRadius( SphereFlag |  
+                                                     ExpandFlag );
+                               } else CommandError(MsgStrs[ErrBigNum]);
+                             } else CommandError(MsgStrs[ErrBadArg]);
+                               
+                           } else if( CurToken == MoleculeTok) {   
+                             FetchToken();
+                             if( CurToken == DotsTok ) {
+                             } else if( CurToken == SolidTok ) {
+                             } else if( CurToken == NumberTok )
+                             {   if( *TokenPtr=='.' )   
+                               {   TokenPtr++;
+                                   FetchFloat(TokenValue,250);
+                               }
+                             if( TokenValue<=750 )
+                               {   ProbeRadius = (int)TokenValue;
+                                   DrawSurf = True;
+                                   ReDrawFlag |= RFRefresh;
+                                   SetVanWaalRadius( SphereFlag | TouchFlag );
+                                   /* if( MainAtomCount+HetaAtomCount > 255 ) */
+                                       CreateSurfaceBonds();
+                               } else CommandError(MsgStrs[ErrBigNum]);
+                             } else CommandError(MsgStrs[ErrBadArg]);
+                           } else CommandError(MsgStrs[ErrBadArg]);
+                           break;
+ 
+         case(MolSurfTok):
+                           FetchToken();
+                           if( CurToken==FalseTok )
+                           {   DrawSurf = False;
+ 			      ReDrawFlag |= RFRefresh;
+                               DisableSpacefill();
+                           } else if( CurToken==NumberTok )
+                           {   if( *TokenPtr=='.' )
+                               {   TokenPtr++;
+                                   FetchFloat(TokenValue,250);
+                               }
+ 
+                               if( TokenValue<=750 )
+                               {   SetRadiusValue(MaxFun((int)TokenValue,1),
+                                     SphereFlag);
+                                     DrawSurf = True;
+                                   ReDrawFlag |= RFRefresh;
+                               } else CommandError(MsgStrs[ErrBigNum]);
+                           } else if( CurToken=='.' )
+                           {   FetchFloat(0,250);
+                               if( TokenValue<=750 )
+                               {   SetRadiusValue(MaxFun((int)TokenValue,1),
+                                     SphereFlag);
+ 			          DrawSurf = True;
+                                   ReDrawFlag |= RFRefresh;
+                               } else CommandError(MsgStrs[ErrBigNum]);
+                           } else if( CurToken==UserTok )
+                           {   UserMaskAttrib(MaskRadiusFlag);
+                               DrawSurf = True;
+                               ReDrawFlag |= RFRefresh;
+                           } else if( CurToken==TemperatureTok )
+                           {   DrawSurf = True;
+ 			      ReDrawFlag |= RFRefresh;
+                               SetRadiusTemperature( SphereFlag );
+                           } else if( (CurToken==TrueTok) || !CurToken )
+                           {   DrawSurf = True;
+                               ReDrawFlag |= RFRefresh;
                                SetVanWaalRadius( SphereFlag );
                            } else CommandError(MsgStrs[ErrBadArg]);
                            break;
*** command.h	2004/05/07 19:46:16	1.1
--- command.h	2005/01/16 20:25:16
***************
*** 134,139 ****
--- 137,143 ----
  int UseCIF=0;
  
  int CalcBondsFlag;
+ int CalcSurfFlag;
  int AllowWrite;
  
  int DefaultBackground = True;
***************
*** 148,153 ****
--- 152,158 ----
  extern int UseCIF;
  
  extern int CalcBondsFlag;
+ extern int CalcSurfFlag;
  extern int AllowWrite;
  
  extern int DefaultBackground;
*** graphics.h	2004/05/07 19:46:16	1.1
--- graphics.h	2005/01/16 20:25:16
***************
*** 157,162 ****
--- 157,163 ----
  HPALETTE ColourMap;
  HGLOBAL FBufHandle;
  HGLOBAL DBufHandle;
+ HGLOBAL CBufHandle;
  HBITMAP PixMap;
  HWND CanvWin;
  #endif /* MSWIN */
***************
*** 172,177 ****
--- 173,179 ----
  THPrint PrintHand;
  Handle FBufHandle;
  Handle DBufHandle;
+ Handle CBufHandle;
  #endif /* APPLEMAC */
  
  #ifdef X11WIN
***************
*** 218,223 ****
--- 220,226 ----
  extern HPALETTE ColourMap;
  extern HGLOBAL FBufHandle;
  extern HGLOBAL DBufHandle;
+ extern HGLOBAL CBufHandle;
  extern HBITMAP PixMap;
  extern HWND CanvWin;
  #endif /* MSWIN */
***************
*** 233,238 ****
--- 236,242 ----
  extern THPrint PrintHand;
  extern Handle FBufHandle;
  extern Handle DBufHandle;
+ extern Handle CBufHandle;
  #endif /* APPLEMAC */
  #endif
  
*** infile.c	2005/01/16 20:24:05	1.2
--- infile.c	2005/01/16 20:25:17
***************
*** 1058,1064 ****
      register int srcatm,dstatm;
      register Long dx, dy, dz;
      register Card dist2;
!     register Real scale;
      register char *cptr;
   
      DataFile = fp;
--- 1061,1067 ----
      register int srcatm,dstatm;
      register Long dx, dy, dz;
      register Card dist2;
!     register Real scale=0.0;
      register char *cptr;
   
      DataFile = fp;
***************
*** 2005,2018 ****
        ReadCIFDouble (cif, &ang_gamma, "_cell.angle_gamma", 
          "_cell_angle_gamma");
      if (result_a || result_b || result_c || 
!       result_alpha || result_beta || result_gamma)
        WriteString("Error: Missing or Incomplete CIF Cell\n\n");
      Info.cell[0] = length_a;
      Info.cell[1] = length_b;
      Info.cell[2] = length_c;
      Info.cell[3] = ang_alpha;
      Info.cell[4] = ang_beta;
      Info.cell[5] = ang_gamma;
      result_cell =
        cell2mat(Info.cell, Info.matf2o, Info.mato2f);
      if (!result_cell)
--- 2008,2030 ----
        ReadCIFDouble (cif, &ang_gamma, "_cell.angle_gamma", 
          "_cell_angle_gamma");
      if (result_a || result_b || result_c || 
!       result_alpha || result_beta || result_gamma) {
        WriteString("Error: Missing or Incomplete CIF Cell\n\n");
+       WriteString(" 1,1,1,90.,90.,90. assumed\n\n");
+       Info.cell[0] = 1.;
+       Info.cell[1] = 1.;
+       Info.cell[2] = 1.;
+       Info.cell[3] = 90.;
+       Info.cell[4] = 90.;
+       Info.cell[5] = 90.;
+     } else { 
      Info.cell[0] = length_a;
      Info.cell[1] = length_b;
      Info.cell[2] = length_c;
      Info.cell[3] = ang_alpha;
      Info.cell[4] = ang_beta;
      Info.cell[5] = ang_gamma;
+     }
      result_cell =
        cell2mat(Info.cell, Info.matf2o, Info.mato2f);
      if (!result_cell)
*** langsel.c	2004/05/07 19:46:16	1.1
--- langsel.c	2005/01/16 20:25:17
***************
*** 525,530 ****
--- 525,531 ----
    { "Ribbons",                                         StrMRibbons, English,0},
    { "Strands",                                         StrMStrands, English,3},
    { "Cartoons",                                        StrMCartoon, English,0},
+   { "Molecular Surface",                               StrMMolSurf, English,0},
  
    { "Alambre",                                         StrMWirefr,  Spanish,0},
    { "Esqueleto",                                       StrMBackbn,  Spanish,0},
***************
*** 534,539 ****
--- 535,541 ----
    { "Cintas",                                          StrMRibbons, Spanish,0},
    { "Hebras",                                          StrMStrands, Spanish,0},
    { "Dibujo",                                          StrMCartoon, Spanish,0},
+   { "Superficie Molecular",                            StrMMolSurf, Spanish,11},
  
    { "Fil",                                             StrMWirefr,  French,0},
    { "Squelette",                                       StrMBackbn,  French,0},
***************
*** 543,548 ****
--- 545,551 ----
    { "Rubans",                                          StrMRibbons, French,0},
    { "Tresses",                                         StrMStrands, French,0},
    { "Ebauches",                                        StrMCartoon, French,5},
+   { "Surface Molécular",                              StrMMolSurf, French,8},
  
    { "Fildiferro",                                      StrMWirefr,  Italian,0},
    { "Scheletro",                                       StrMBackbn,  Italian,0},
***************
*** 552,557 ****
--- 555,561 ----
    { "Nastri",                                          StrMRibbons, Italian,0},
    { "Fili",                                            StrMStrands, Italian,0},
    { "Vignetta",                                        StrMCartoon, Italian,0},
+   { "Superficie Molecolare",                           StrMMolSurf, Italian,11},
  
    { "Monochrome",                                      StrMMonochr, English,0},
    { "CPK",                                             StrMCPK,     English,0},
***************
*** 877,882 ****
--- 881,887 ----
    { "&Ribbons",                                        StrMRibbons, English,0},
    { "Str&ands",                                        StrMStrands, English,3},
    { "&Cartoons",                                       StrMCartoon, English,0},
+   { "&Molecular Surface",                              StrMMolSurf, English,0},
  
    { "&Alambre",                                        StrMWirefr,  Spanish,0},
    { "&Esqueleto",                                      StrMBackbn,  Spanish,0},
***************
*** 886,891 ****
--- 891,897 ----
    { "&Cintas",                                         StrMRibbons, Spanish,0},
    { "&Hebras",                                         StrMStrands, Spanish,0},
    { "&Dibujo",                                         StrMCartoon, Spanish,0},
+   { "Superficie &Molecular",                           StrMMolSurf, Spanish,11},
  
    { "&Fil",                                            StrMWirefr,  French,0},
    { "&Squelette",                                      StrMBackbn,  French,0},
***************
*** 895,900 ****
--- 901,907 ----
    { "&Ribbons",                                        StrMRibbons, French,0},
    { "&Tresses",                                        StrMStrands, French,0},
    { "Ebauc&hes",                                       StrMCartoon, French,5},
+   { "Surface &Molécular",                              StrMMolSurf, French,8},
  
    { "&Fildiferro",                                     StrMWirefr,  Italian,0},
    { "&Scheletro",                                      StrMBackbn,  Italian,0},
***************
*** 904,909 ****
--- 911,917 ----
    { "&Nastri",                                         StrMRibbons, Italian,0},
    { "&Fili",                                           StrMStrands, Italian,0},
    { "&Vignetta",                                       StrMCartoon, Italian,0},
+   { "Superficie &Molecolare",                          StrMMolSurf, Italian,11},
  
    { "&Monochrome",                                     StrMMonochr, English,0},
    { "&CPK",                                            StrMCPK,     English,0},
***************
*** 1153,1160 ****
  
    { "Nome documento PDB:",                             StrPrmtPDB,  Italian,0},
    { "Nome documento immagine:",                        StrPrmtImg,  Italian,0},
!   { "Nome documento molecola:",                        StrPrmtMol,  Italian,0}
  
    
  };
   
--- 1161,1177 ----
  
    { "Nome documento PDB:",                             StrPrmtPDB,  Italian,0},
    { "Nome documento immagine:",                        StrPrmtImg,  Italian,0},
!   { "Nome documento molecola:",                        StrPrmtMol,  Italian,0},
  
+   { "Warning: ",                                       StrWarn,     English,0},
+   { "Cuidado: ",                                       StrWarn,     Spanish,0},
+   { "Avertissement: ",                                 StrWarn,     French,0},
+   { "Attenzione: ",                                    StrWarn,     Italian,0},
+ 
+   { "Chain",                                           StrChain,    English,0},
+   { "Cadena",                                          StrChain,    Spanish,0},
+   { "Chaîne",                                          StrChain,    French,0},
+   { "Catena",                                          StrChain,    Italian,0}
    
  };
   
*** langsel.h	2004/05/07 19:46:16	1.1
--- langsel.h	2005/01/16 20:25:16
***************
*** 168,248 ****
         StrMRibbons =   95,
         StrMStrands =   96,
         StrMCartoon =   97,
  
!        StrMMonochr =   98,
!        StrMCPK     =   99,
!        StrMShapely =  100,
!        StrMGroup   =  101,
!        StrMChain   =  102,
!        StrMTemp    =  103,
!        StrMStruct  =  104,
!        StrMUser    =  105,
!        StrMModel   =  106,
!        StrMAlt     =  107,
! 
!        StrMSlab    =  108,
!        StrMHydr    =  109,
!        StrMHet     =  110,
!        StrMSpec    =  111,
!        StrMShad    =  112,
!        StrMStereo  =  113,
!        StrMLabel   =  114,
!        
!        StrMPOff    =  115,
!        StrMPIdent  =  116,
!        StrMPDist   =  117,
!        StrMPMon    =  118,
!        StrMPAng    =  119,
!        StrMPTrsn   =  120,
!        StrMPLabl   =  121,
!        StrMPCent   =  122,
!        StrMPCoord  =  123,
!        StrMPBond   =  124,
!        StrMRBond   =  125,
!        StrMRMol    =  126,
!        StrMRAll    =  127,
! 
!        StrMGIF     =  128,
!        StrMPostscr =  129,
!        StrMPPM     =  130,
!        StrMIRGB    =  131,
!        StrMSRast   =  132,
!        StrMBMP     =  133,
!        StrMPICT    =  134,
! 
!        StrMAbout   =  135,
!        StrMUserM   =  136,
!        
!        StrMUndo    =  137,
!        StrMCut     =  138,
!        StrMCopy    =  139,
!        StrMPaste   =  140,
  #ifdef APPLEMAC
!        StrMClear   =  141,
  #else
!        StrMDelete  =  141,
  #endif
!        StrMSelAll  =  142,
  
!        StrMFile    =  143,
!        StrMEdit    =  144,
!        StrMDisplay =  145,
!        StrMColour  =  146,
!        StrMOpt     =  147,
!        StrMSettings=  148,
!        StrMExport  =  149,
  #ifdef APPLEMAC
!        StrMWindow  =  150,
!        StrMHelp    =  151,
!        StrMMainWin =  152,
!        StrMCmndLin =  153,
  #else
!        StrMHelp    =  150,
  #endif
  
!        StrPrmtPDB  =  154,
!        StrPrmtImg  =  155,
!        StrPrmtMol  =  156
  
  
  } strflag;
--- 168,251 ----
         StrMRibbons =   95,
         StrMStrands =   96,
         StrMCartoon =   97,
+        StrMMolSurf =   98,
  
!        StrMMonochr =   99,
!        StrMCPK     =  100,
!        StrMShapely =  101,
!        StrMGroup   =  102,
!        StrMChain   =  103,
!        StrMTemp    =  104,
!        StrMStruct  =  105,
!        StrMUser    =  106,
!        StrMModel   =  107,
!        StrMAlt     =  108,
! 
!        StrMSlab    =  109,
!        StrMHydr    =  110,
!        StrMHet     =  111,
!        StrMSpec    =  112,
!        StrMShad    =  113,
!        StrMStereo  =  114,
!        StrMLabel   =  115,
!        
!        StrMPOff    =  116,
!        StrMPIdent  =  117,
!        StrMPDist   =  118,
!        StrMPMon    =  119,
!        StrMPAng    =  120,
!        StrMPTrsn   =  121,
!        StrMPLabl   =  122,
!        StrMPCent   =  123,
!        StrMPCoord  =  124,
!        StrMPBond   =  125,
!        StrMRBond   =  126,
!        StrMRMol    =  127,
!        StrMRAll    =  128,
! 
!        StrMGIF     =  129,
!        StrMPostscr =  130,
!        StrMPPM     =  131,
!        StrMIRGB    =  132,
!        StrMSRast   =  133,
!        StrMBMP     =  134,
!        StrMPICT    =  135,
! 
!        StrMAbout   =  136,
!        StrMUserM   =  137,
!        
!        StrMUndo    =  138,
!        StrMCut     =  139,
!        StrMCopy    =  140,
!        StrMPaste   =  141,
  #ifdef APPLEMAC
!        StrMClear   =  142,
  #else
!        StrMDelete  =  142,
  #endif
!        StrMSelAll  =  143,
  
!        StrMFile    =  144,
!        StrMEdit    =  145,
!        StrMDisplay =  146,
!        StrMColour  =  147,
!        StrMOpt     =  148,
!        StrMSettings=  149,
!        StrMExport  =  150,
  #ifdef APPLEMAC
!        StrMWindow  =  151,
!        StrMHelp    =  152,
!        StrMMainWin =  153,
!        StrMCmndLin =  154,
  #else
!        StrMHelp    =  151,
  #endif
  
!        StrPrmtPDB  =  155,
!        StrPrmtImg  =  156,
!        StrPrmtMol  =  157,
!        StrWarn     =  158,
!        StrChain    =  159
  
  
  } strflag;
